GDB (xrefs)

Public Member Functions | List of all members
stderr_file Class Reference

`#include "ui-file.h"`

Inheritance diagram for stderr_file:

## Public Member Functions
| stderr_file (FILE *stream)
void | write (const char *buf, long length_buf) override
void | puts (const char *linebuffer) override
Public Member Functions inherited from stdio_file
| stdio_file (FILE *file, bool close_p=false)
| stdio_file ()
| ~stdio_file () override
bool | open (const char *name, const char *mode)
void | flush () override
void | write_async_safe (const char *buf, long length_buf) override
long | read (char *buf, long length_buf) override
bool | isatty () override
Public Member Functions inherited from ui_file
| ui_file ()
virtual | ~ui_file ()=0
void | printf (const char *,...) ATTRIBUTE_PRINTF(2
void void | putstr (const char *str, int quoter)
void | putstrn (const char *str, int n, int quoter)
int | putc (int c)
void | vprintf (const char *, va_list) ATTRIBUTE_PRINTF(2

## Detailed Description

Definition at line 227 of file ui-file.h.

## Constructor & Destructor Documentation

## ◆ stderr_file()

stderr_file::stderr_file | ( | FILE * | stream | ) |
| explicit

Definition at line 274 of file ui-file.c.

## Member Function Documentation

## ◆ puts()

void stderr_file::puts | ( | const char * | linebuffer | ) |
| override virtual

Reimplemented from stdio_file.

Definition at line 268 of file ui-file.c.

References gdb_flush(), gdb_stdout, and stdio_file::puts().

## ◆ write()

void stderr_file::write | ( | const char * | buf,
|  | long | length_buf
| ) |  |
| override virtual

Reimplemented from stdio_file.

Definition at line 258 of file ui-file.c.

References gdb_flush(), gdb_stdout, and stdio_file::write().

Referenced by gdb._GdbFile::writelines().

The documentation for this class was generated from the following files:

- /tmp/gdb-8.1/gdb/ui-file.h
- /tmp/gdb-8.1/gdb/ui-file.c